Bug 253741 (perl-VCS-LibCVS) - Review Request: perl-VCS-LibCVS - Access CVS working directories and repositories
Summary: Review Request: perl-VCS-LibCVS - Access CVS working directories and reposito...
Status: CLOSED NEXTRELEASE
Alias: perl-VCS-LibCVS
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-21 17:07 UTC by Robin Norwood
Modified: 2008-02-14 01:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 01:55:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robin Norwood 2007-08-21 17:07:53 UTC
Spec URL: http://home.comcast.net/~ckweyl/perl-VCS-LibCVS.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-VCS-LibCVS-1.0002-1.fc6.src.rpm
Description: LibCVS provides native Perl access to CVS.

Comment 1 Robin Norwood 2007-10-14 00:39:11 UTC
'ello?  Can I get a package reviewer in the hizzous?

Comment 2 Ville Skyttä 2007-10-14 08:54:26 UTC
Both URLs result in

   PAGE UNAVAILABLE
   This URL you typed is unavailable at this time.

Comment 3 Robin Norwood 2007-10-15 14:15:58 UTC
oops - Chris changed his webhost recently, IIRC.  Mr. Weyl, can you give better
URLs?  I don't have the packages anymore.


Comment 4 Ville Skyttä 2007-10-15 15:33:47 UTC
(Chris, see above comments)

Comment 6 Ville Skyttä 2007-10-18 19:08:57 UTC
Moving stuff around in %check breaks rpmbuild -bi --short-circuit builds.

I don't agree with shipping test suite code in docs without a good, per-package,
documented reason - that has been discussed in other bugs already so I have no
interest in discussing it again but will just leave rest of the review in case
someone who doesn't consider it a blocker appears.

Comment 7 Parag AN(पराग) 2008-01-28 04:59:03 UTC
rpmlint reports
perl-VCS-LibCVS.src:21: W: unversioned-explicit-provides
perl(VCS::LibCVS::Client::Request::ArgumentUsingRequests)
perl-VCS-LibCVS.src:22: W: unversioned-explicit-provides
perl(VCS::LibCVS::Client::Request::Requests)
perl-VCS-LibCVS.src:23: W: unversioned-explicit-provides
perl(VCS::LibCVS::Client::Response::FileUpdateModifyingResponses)
perl-VCS-LibCVS.src:24: W: unversioned-explicit-provides
perl(VCS::LibCVS::Client::Response::FileUpdatingResponses)
perl-VCS-LibCVS.src:25: W: unversioned-explicit-provides
perl(VCS::LibCVS::Client::Response::Responses)

Can we make above versioned?

I don't think adding tests in %doc as blocker. I saw that this is already
proposed in perl packaging draft also.


Comment 8 Parag AN(पराग) 2008-02-05 03:55:38 UTC
ping?

Comment 9 Parag AN(पराग) 2008-02-11 12:01:34 UTC
ping?

Comment 11 Robin Norwood 2008-02-12 05:00:42 UTC
I did not fix the doc/examples issue - I think it's good to have them in the
package's %doc section, but I understand Ville's point.  If anyone has a better
solution, speak up.

Comment 12 Parag AN(पराग) 2008-02-12 06:18:08 UTC
Review:
+ package builds in mock (rawhide i386).
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=417542
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
555b3f13d9c52f7202bafd18810e2dc8  VCS-LibCVS-1.0002.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/lcvs-st....
Creating test repository, please be patient:................done
ok
All tests successful.
Files=1, Tests=111, 96 wallclock secs ( 4.47 cusr +  1.53 csys =  6.00 CPU)
+ Package perl-VCS-LibCVS-1.0002-2.fc9 ->
  Provides: perl(VCS::LibCVS) = 1.0002 perl(VCS::LibCVS::Admin)
perl(VCS::LibCVS::Branch) perl(VCS::LibCVS::Client)
perl(VCS::LibCVS::Client::Connection)
perl(VCS::LibCVS::Client::Connection::CvsPass)
perl(VCS::LibCVS::Client::Connection::Ext)
perl(VCS::LibCVS::Client::Connection::Local)
perl(VCS::LibCVS::Client::Connection::Pserver)
perl(VCS::LibCVS::Client::LoggingIOHandle) perl(VCS::LibCVS::Client::Request)
perl(VCS::LibCVS::Client::Request::Argument)
perl(VCS::LibCVS::Client::Request::ArgumentUsingRequest)
perl(VCS::LibCVS::Client::Request::ArgumentUsingRequests) = 1.0002-2.fc9
perl(VCS::LibCVS::Client::Request::Case)
perl(VCS::LibCVS::Client::Request::Checkin_time)
perl(VCS::LibCVS::Client::Request::Directory)
perl(VCS::LibCVS::Client::Request::Entry)
perl(VCS::LibCVS::Client::Request::Is_modified)
perl(VCS::LibCVS::Client::Request::Modified)
perl(VCS::LibCVS::Client::Request::Questionable)
perl(VCS::LibCVS::Client::Request::Requests) = 1.0002-2.fc9
perl(VCS::LibCVS::Client::Request::Root)
perl(VCS::LibCVS::Client::Request::Sticky)
perl(VCS::LibCVS::Client::Request::Unchanged)
perl(VCS::LibCVS::Client::Request::UseUnchanged)
perl(VCS::LibCVS::Client::Request::Valid_responses)
perl(VCS::LibCVS::Client::Request::add)
perl(VCS::LibCVS::Client::Request::annotate)
perl(VCS::LibCVS::Client::Request::ci) perl(VCS::LibCVS::Client::Request::co)
perl(VCS::LibCVS::Client::Request::diff)
perl(VCS::LibCVS::Client::Request::export)
perl(VCS::LibCVS::Client::Request::history)
perl(VCS::LibCVS::Client::Request::init) perl(VCS::LibCVS::Client::Request::log)
perl(VCS::LibCVS::Client::Request::noop)
perl(VCS::LibCVS::Client::Request::rdiff)
perl(VCS::LibCVS::Client::Request::remove)
perl(VCS::LibCVS::Client::Request::rlog)
perl(VCS::LibCVS::Client::Request::status)
perl(VCS::LibCVS::Client::Request::tag)
perl(VCS::LibCVS::Client::Request::update)
perl(VCS::LibCVS::Client::Request::valid_requests)
perl(VCS::LibCVS::Client::Request::version) perl(VCS::LibCVS::Client::Response)
perl(VCS::LibCVS::Client::Response::Checked_in)
perl(VCS::LibCVS::Client::Response::Clear_sticky)
perl(VCS::LibCVS::Client::Response::Copy_file)
perl(VCS::LibCVS::Client::Response::Created)
perl(VCS::LibCVS::Client::Response::E)
perl(VCS::LibCVS::Client::Response::FileUpdateModifyingResponse)
perl(VCS::LibCVS::Client::Response::FileUpdateModifyingResponses) = 1.0002-2.fc9
perl(VCS::LibCVS::Client::Response::FileUpdatingResponse)
perl(VCS::LibCVS::Client::Response::FileUpdatingResponses) = 1.0002-2.fc9
perl(VCS::LibCVS::Client::Response::M)
perl(VCS::LibCVS::Client::Response::Mbinary)
perl(VCS::LibCVS::Client::Response::Merged)
perl(VCS::LibCVS::Client::Response::Mod_time)
perl(VCS::LibCVS::Client::Response::Mode)
perl(VCS::LibCVS::Client::Response::New_entry)
perl(VCS::LibCVS::Client::Response::Patched)
perl(VCS::LibCVS::Client::Response::Remove_entry)
perl(VCS::LibCVS::Client::Response::Removed)
perl(VCS::LibCVS::Client::Response::Responses) = 1.0002-2.fc9
perl(VCS::LibCVS::Client::Response::Set_sticky)
perl(VCS::LibCVS::Client::Response::Update_existing)
perl(VCS::LibCVS::Client::Response::Updated)
perl(VCS::LibCVS::Client::Response::Valid_requests)
perl(VCS::LibCVS::Client::Response::error)
perl(VCS::LibCVS::Client::Response::ok) perl(VCS::LibCVS::Command)
perl(VCS::LibCVS::Datum) perl(VCS::LibCVS::Datum::DirectoryName)
perl(VCS::LibCVS::Datum::Entry) perl(VCS::LibCVS::Datum::FileContents)
perl(VCS::LibCVS::Datum::FileMode) perl(VCS::LibCVS::Datum::FileName)
perl(VCS::LibCVS::Datum::LogMessage) perl(VCS::LibCVS::Datum::PathName)
perl(VCS::LibCVS::Datum::RevisionNumber) perl(VCS::LibCVS::Datum::Root)
perl(VCS::LibCVS::Datum::String) perl(VCS::LibCVS::Datum::TagSpec)
perl(VCS::LibCVS::Datum::Time) perl(VCS::LibCVS::DirectoryBranch)
perl(VCS::LibCVS::FileBranch) perl(VCS::LibCVS::FileRevision)
perl(VCS::LibCVS::IgnoreChecker) perl(VCS::LibCVS::Repository)
perl(VCS::LibCVS::RepositoryDirectory) perl(VCS::LibCVS::RepositoryFile)
perl(VCS::LibCVS::RepositoryFileOrDirectory) perl(VCS::LibCVS::Slice)
perl(VCS::LibCVS::WorkingDirectory) perl(VCS::LibCVS::WorkingFile)
perl(VCS::LibCVS::WorkingFileOrDirectory) perl(VCS::LibCVS::WorkingUnmanagedFile)
Requires: /usr/bin/perl perl(Carp) perl(File::Spec) perl(File::Spec::Unix)
perl(FileHandle) perl(Getopt::Long) perl(IO::Dir) perl(IO::File)
perl(IO::Handle) perl(IO::Socket::INET) perl(IPC::Open2) perl(Time::Local)
perl(VCS::LibCVS) perl(VCS::LibCVS::Admin) perl(VCS::LibCVS::Branch)
perl(VCS::LibCVS::Client) perl(VCS::LibCVS::Client::Connection)
perl(VCS::LibCVS::Client::Connection::CvsPass)
perl(VCS::LibCVS::Client::Connection::Ext)
perl(VCS::LibCVS::Client::Connection::Local)
perl(VCS::LibCVS::Client::Connection::Pserver)
perl(VCS::LibCVS::Client::LoggingIOHandle) perl(VCS::LibCVS::Client::Request)
perl(VCS::LibCVS::Client::Request::Argument)
perl(VCS::LibCVS::Client::Request::ArgumentUsingRequests)
perl(VCS::LibCVS::Client::Request::Requests) perl(VCS::LibCVS::Client::Response)
perl(VCS::LibCVS::Client::Response::FileUpdateModifyingResponses)
perl(VCS::LibCVS::Client::Response::FileUpdatingResponses)
perl(VCS::LibCVS::Client::Response::Responses) perl(VCS::LibCVS::Command)
perl(VCS::LibCVS::Datum) perl(VCS::LibCVS::Datum::DirectoryName)
perl(VCS::LibCVS::Datum::Entry) perl(VCS::LibCVS::Datum::FileContents)
perl(VCS::LibCVS::Datum::FileMode) perl(VCS::LibCVS::Datum::FileName)
perl(VCS::LibCVS::Datum::LogMessage) perl(VCS::LibCVS::Datum::PathName)
perl(VCS::LibCVS::Datum::RevisionNumber) perl(VCS::LibCVS::Datum::Root)
perl(VCS::LibCVS::Datum::String) perl(VCS::LibCVS::Datum::TagSpec)
perl(VCS::LibCVS::Datum::Time) perl(VCS::LibCVS::DirectoryBranch)
perl(VCS::LibCVS::FileBranch) perl(VCS::LibCVS::FileRevision)
perl(VCS::LibCVS::IgnoreChecker) perl(VCS::LibCVS::Repository)
perl(VCS::LibCVS::RepositoryDirectory) perl(VCS::LibCVS::RepositoryFile)
perl(VCS::LibCVS::RepositoryFileOrDirectory) perl(VCS::LibCVS::Slice)
perl(VCS::LibCVS::WorkingDirectory) perl(VCS::LibCVS::WorkingFile)
perl(VCS::LibCVS::WorkingFileOrDirectory)
perl(VCS::LibCVS::WorkingUnmanagedFile) perl(constant) perl(strict) perl(vars)

APPROVED.


Comment 13 Robin Norwood 2008-02-12 13:54:27 UTC
New Package CVS Request
=======================
Package Name: perl-VCS-LibCVS
Short Description: Access CVS working directories and repositories
Owners: rnorwood
Branches: devel
InitialCC: fedora-perl-devel@redhat.com
Cvsextras Commits: yes


Comment 14 Kevin Fenzi 2008-02-12 17:37:03 UTC
cvs done.

Comment 15 Robin Norwood 2008-02-12 18:37:13 UTC
Built - http://koji.fedoraproject.org/koji/taskinfo?taskID=419505

Comment 16 Parag AN(पराग) 2008-02-14 01:55:03 UTC
This is built and imported in devel. Therefore Closing this review now.


Note You need to log in before you can comment on or make changes to this bug.